//********************************************************************
//                 HOT FLAG EVENTS V.1.1                            **
//                    by HotCheese                                  **
//                       IRC:#cheese                                **
//                       WEB:http://hotcheese.8m.net                **
//                       EMAIL:xyster@Phreaker.net                  **
//********************************************************************
//basically this just prints flag events
//STUFF:
// - optimized some code
// - newopts stuff is finished
//********************************************************************
newObject(HotEvents, SimVolume, "HotEvents.vol");
function HotEvents::SetDefaults() {

//********************************************************************
//**               USER PREFERENCES                                 **
//********************************************************************
//********************************************************************
echo("HotEvents is setting up defaults.");
//where the text shall be printed.0 for bottom 1 for center 2 for top
	$HotEvents::PrintType = 0;
//the number of seconds to popup the message
	$HotEvents::PopTime = 3;
//print captures
	$HotEvents::PrintCaps = "true";
//print returns
	$HotEvents::PrintReturns = "true";
//print drops
	$HotEvents::PrintDrops = "true";
//print grabs
	$HotEvents::PrintGrab = "true";
//print any events..used for toggle set to false if you don't want them to start on
        $HotEvents::PrintEvents = "true";
 editActionMap("playMap.sae");

//toggles event printing on/off
bindCommand(keyboard0, make, alt, "f1", TO, "HotEvents::Toggle();");
bindCommand(keyboard0, break, alt, "f1", TO, "");


}
//********************************************************************
//********************************************************************
//**           END USER PREFERENCES                                 **
//********************************************************************
//********************************************************************


if (isfile("config\\HotEvents_prefs.cs")) {
        echo("HotEvents is loadign file config\\HotEvents_prefs.cs");
        exec("HotEvents_prefs.cs");
 }
else
	HotEvents::SetDefaults();

function HotEvents::Toggle() {
        $HotEvents::PrintEvents = !$HotEvents::PrintEvents;
        if ($HotEvents::PrintEvents)
                %val = "on";
        else
                %val = "off";
        HotEvents::PrintMSG("<f1>Hot Event Popping is now <f2>" @ %val);
 }
//your basic message printing function
function HotEvents::PrintMSG(%msg) {
        if ($HotEvents::PrintType == 0)
                remoteBP(2048,"<jc>" @ %msg,$HotEvents::PopTime);
        else if ($HotEvents::PrintType == 1)
                remoteCP(2048,"<jc>" @ %msg,$HotEvents::PopTime);
        else
                remoteTP(2048,"<jc>" @ %msg,$HotEvents::PopTime);
}
function HotEvents::ConvertFlag(%team) {
        if (%team == Team::Friendly())
                return "your flag";
        else
                return "the enemy flag";
 }
function HotEvents::ConvertPlayer(%player) {
        if (%player == getManagerID())
                return "You";
        else
                return Client::getName(%player);
 }
function HotEvents::Captured(%team, %capper) {
        if(!$HotEvents::PrintEvents || !$HotEvents::PrintCaps)
		return;
        %flag = HotEvents::ConvertFlag(%team);
	%capper = HotEvents::ConvertPlayer(%capper);
	HotEvents::PrintMSG("<jc><f2>" @ %capper @ "<f1> captured <f2>" @ %flag @ "<f1>!",$HotEvents::PopTime);

}

function HotEvents::Dropped(%team, %dropper) {

        if(!$HotEvents::PrintEvents || !$HotEvents::PrintDrops)
		return;
	%flag = HotEvents::ConvertFlag(%team);
	%dropper = HotEvents::ConvertPlayer(%dropper);

	HotEvents::PrintMSG("<jc><f2>" @ %dropper @ "<f1> dropped <f2>" @ %flag @ "<f1>!",$HotEvents::PopTime);
}

function HotEvents::Taken(%team, %taker) {
        if(!$HotEvents::PrintEvents || !$HotEvents::PrintGrab)
		return;
	%flag = HotEvents::ConvertFlag(%team);
	%taker = HotEvents::ConvertPlayer(%taker);

	HotEvents::PrintMSG("<jc><f2>" @ %taker @ "<f1> took <f2>" @ %flag @ "<f1>!",$HotEvents::PopTime);
}
function HotEvents::Returned(%team, %returner) {
	if(!$HotEvents::PrintEvents || !$HotEvents::PrintReturns)
		return;
        %flag = HotEvents::ConvertFlag(%team);

	HotEvents::PrintMSG("<jc><f2>" @ %flag @ "<f1> has returned home!",$HotEvents::PopTime);

}
Event::Attach(eventFlagTaken,HotEvents::Taken);
Event::Attach(eventFlagDropped,HotEvents::Dropped);
Event::Attach(eventFlagCaptured,HotEvents::Captured);
Event::Attach(eventFlagReturned,HotEvents::Returned);


//PRESTO!
Presto::AddScriptBanner(HotEvents,"\n<jc><f2>HotEvents <f1>V.1.1\n" @
                                  "<jc><f1>by\n" @
                                  "<jc><f2>HotCheese\n\n\n" @
                                  "<jc>xyster@phreaker.net\n" @
                                  "<jc>http://hotcheese.8m.net\n");
if (included("newopts\\newopts.cs") == 1)
        exec("Hotevents_newopts.cs");
 else
        echo("USE NEWOPTS!!!");



